sand_align_master(1)

NAME

sand_align_master - align candidate sequences in parallel

SYNOPSIS

sand_align_master [options] sand_align_kernel candidates.cand sequences.cfa overlaps.ovl

DESCRIPTION

sand_align_master is the second step in the SAND assembler. It reads in a list of sequences and a list of candidate pairs to consider, generated by sand_filter_master(1). It then performs all of the comparisons and produces a list of overlaps (in OVL format) that exceed a quality threshhold.

This program uses the Work Queue system to distributed tasks among processors. After starting sand_align_master, you must start a number of work_queue_worker(1) processes on remote machines. The workers will then connect back to the master process and begin executing tasks. The actual alignments are performed by sand_align_kernel(1) on each machine.

OPTIONS

-p <port>
    Port number for work queue master to listen on. (default: 9123)

-n <number>
    Maximum number of candidates per task. (default is 10000)

-e <args>
    Extra arguments to pass to the alignment program.

-d <subsystem>
    Enable debugging for this subsystem. (Try -d all to start.)

-F <mult>
    Work Queue fast abort multiplier.(default is 10.)

-Z <file>
    Select port at random and write it out to this file.

-o <file>
    Send debugging to this file.

-v  Show version string.

-h  Show help text.

EXIT STATUS

On success, returns zero. On failure, returns non-zero.

EXAMPLES

Suppose that you begin with a compressed FASTA file (mydata.cfa) and a list of candidate reads (mydata.cand) generated by sand_filter_master(1). First, start a single work_queue_worker(1) process in the background. Then, invoke sand_align_master() as follows:

    % work_queue_worker localhost 9123 &
    % sand_align_master sand_align_kernel mydata.cand mydata.cfa mydata.ovl

To speed up the process, run more work_queue_worker() processes on other machines, or use condor_submit_workers(1) or uge_submit_workers(1) to start hundreds of workers in your local batch system.

COPYRIGHT

The Cooperative Computing Tools are Copyright (C) 2022 The University of Notre Dame. This software is distributed under the GNU General Public License. See the file COPYING for details.

SEE ALSO

•   Cooperative Computing Tools Documentation

•   SAND User Manual

•   sand_filter_master(1) sand_filter_kernel(1) sand_align_master(1) sand_align_kernel(1) sand_compress_reads(1) sand_uncompress_reads(1) work_queue_worker(1)